.class-ranking-container {
    margin: 0;
    min-height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;

    .header {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-direction: row;
        padding-bottom: 20px;

        .title {
            color: #000;
            font-size: 16px;
            font-style: normal;
            font-weight: 600;
            line-height: 25px;
        }

        .action-filter {
            display: flex;
            align-items: center;
            gap: 10px;

            .ranking-select {
                width: 120px !important;

                &>div {
                    border-radius: 10px;
                }
            }

            .apply-btn {
                width: 112px;
                padding: 4px 8px;
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: 12px;
                background: #F84C26;

                color: #FFF;
                font-size: 13px;
                font-weight: 600;
                line-height: 24px;
            }
        }
    }

    .no-field-select {
        width: 100%;
        min-height: calc(100% - 56px);
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 20px;

        img {
            width: 126px;
            height: 126px;
            object-fit: contain;
            object-position: center;
        }

        span {
            color: rgba(68, 68, 68, 0.70);
            text-align: center;
            font-size: 16px;
            font-style: normal;
            font-weight: 500;
            line-height: normal;
        }
    }

    .tab-header {
        height: 51px;

        [class*='box-item'] {
            [class*='tab-item'] {
                height: 51px;
            }
        }
    }

    .content {
        height: auto;
        width: 100%;
        background: #FFF;
        border-radius: 0px 16px 16px 16px;
    }
}

.menuCustom {
    max-width: 150px;

    & > div {
        width: 100%;

        span {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
}